Redundant, confusing information?
Status: Feedback

Priority: Normal

Assignee: Paolo Cavallini

Category:

Pull Request or Patch supplied:No

Description

In redmine, it is possible to have a ticket that is classified as Resolution:Invalid

(or fixed, etc.), and Status:New (instead of Closed). This is meaningless to me, and

causes confusion (we have many tickets that appear open, and are in fact closed. I

think the field resolution is useless, as the same info could be put on Status.

History

#1 - 2011-10-11 12:52 AM - Sandro Santilli

I'm used to the double status: Open/Close vs. Resolution. It's used on savannah/savane. There, there's just two status for Open/Close and a bug is Open

until verified. The status serves to know which stadium of handling the issue is at. From new to confirmed to assigned to ready-for-test to fixed. Or may be

closed because invalid or duplicated. Haven't looked at the specific values in redmine but this comment is just to warn that "the trac way" (single status)

has its own limits (I particularly miss the "ready-for-test" support).

Surely having some forced switches from Open to Closed may be wise. Like, if duplicated or invalid or fixed... there's no reason for it to be still Open.

But I'd also love it to be impossible to switch to Fixed unless coming from ReadyForTest :)

#2 - 2011-11-24 06:21 AM - Alexander Bruy

See also this thread in developer ML (unfortunatelly no responces) http://lists.osgeo.org/pipermail/qgis-developer/2011-November/016607.html

#3 - 2011-11-25 05:15 AM - Pirmin Kalberer

- Assignee set to Paolo Cavallini

- Status changed from Open to Feedback

We should put the ticket workflow on a wiki page according to these discussions and then configure Redmine.

#4 - 2011-11-25 10:23 AM - Alexander Bruy

I started wiki page for this, feel free to edit. https://issues.qgis.org/wiki/quantum-gis/Tickets_workflow
